package com.unibuy.smartdevice.structure;

import org.json.JSONObject;

public class MemoStructure {
    private String field;
    private JSONObject data;
    private JSONObject otherData;

    public MemoStructure(String field, JSONObject data, JSONObject otherData) {
        this.field = field;
        this.data = data;
        this.otherData = otherData;
    }

    @Override
    public String toString() {
        return "MemoStructure{" +
                "field=" + field +
                ", data=" + (data != null ? data.toString() : "{}") +
                ", otherData=" + (otherData != null ? otherData.toString() : "{}") +
                '}';
    }

    public String getField() {
        return field;
    }
    public void setField(String field) {
        this.field = field;
    }
    public JSONObject getData() {
        return data;
    }
    public void setData(JSONObject data) {
        this.data = data;
    }
    public JSONObject getOtherData() {
        return otherData;
    }
    public void setOtherData(JSONObject otherData) {
        this.otherData = otherData;
    }
}
